
var myapp = angular.module("dir", []);

myapp.directive('food', function(){
    return {
      restrict: 'E',
      replace: true,
      transclude: true,
	  scope: {setfood: '@',
				foodlist: '@'},
      template: '<div id="food" ></div>',
	  
		link: function(scope, element, attrs) {
			
			var z = new dhtmlXCombo("food","alfa2",100);

			z.addOption([
				{value: "apple", text: "1st plate"},
				{value: "banana", text: "2nd plate"},
				{value: "orange", text: "3rd plate"}
			]);
			
			scope.$watch("setfood", function (value) {
				if (value)
					z.setComboValue(value);
			});
		}
    };
});
